# Uses of Interface
com.sun.source.tree.GuardedPatternTree

Packages that use GuardedPatternTreePREVIEW
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of GuardedPatternTreePREVIEW in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type GuardedPatternTreePREVIEW
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitGuardedPattern(GuardedPatternTreePREVIEW node, P p)`
Preview.
Visits a `GuardPatternTree` node.

## Uses of GuardedPatternTreePREVIEW in com.sun.source.util

Methods in com.sun.source.util with parameters of type GuardedPatternTreePREVIEW
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitGuardedPattern(GuardedPatternTreePREVIEW node, P p)`
Preview.
Visits a `GuardPatternTree` node.
`R`
TreeScanner.`visitGuardedPattern(GuardedPatternTreePREVIEW node, P p)`
Preview.
Visits a `GuardPatternTree` node.